package quiz1;

import java.util.ArrayList;

public class Kafile {
	private String katilinanYarisma;
	private ArrayList<MilliSporcu> milliler;
	private String kafileBaskani;
	private String yarismaUlkesi;
	private int erkekSayisi;
	private int kadinSayisi;
	
	public Kafile(String katilinanYarisma, String kafileBaskani) {
		milliler = new ArrayList<MilliSporcu>();
		this.erkekSayisi = 0;
		this.kadinSayisi = 0;
		this.katilinanYarisma = katilinanYarisma;
		this.kafileBaskani = kafileBaskani;
		
	}
	
	public String KafileyeSporcuEkle(MilliSporcu ms) {
		int i = 0;
		while (i < this.milliler.size() && ms.getSporcuNo() != this.milliler.get(i).getSporcuNo())
			i++;
		if(i == this.milliler.size()) {
			milliler.add(ms);
			if(ms.getCinsiyet() == 'E')
				this.erkekSayisi++;
			else
				this.kadinSayisi++;
			return ms.getSporcuNo() + " nolu sporcu eklendi.";	
		}else {
			return ms.getSporcuNo() + " nolu sporcu zaten var.";
		}
	}
	
	public String KafileProfili() {
		String profil;
		profil = 	"Kafile Bakan: " + this.kafileBaskani + "\n" + 
					"Katlnan Yarma: " + this.katilinanYarisma + "\n" +
					"Yarma lkesi: " + this.yarismaUlkesi + "\n" +
					"Erkek Says: " + this.erkekSayisi + "\n" +
					"Kadn Says: " + this.kadinSayisi + "\n";
		return profil;
	}
	
	public MilliSporcu getSporcuBilgileri(int sporcuNo) {
		for (MilliSporcu ms : milliler) {
			if(ms.getSporcuNo() == sporcuNo)
				return ms;
		}
		return null;
	}

	public int getErkekSayisi() {
		return erkekSayisi;
	}
	
	public int getKadinSayisi() {
		return kadinSayisi;
	}
	
	public String getKatilinanYarisma() {
		return katilinanYarisma;
	}
	
	public String getKafileBaskani() {
		return kafileBaskani;
	}
	
	public String getYarismaUlkesi() {
		return yarismaUlkesi;
	}
	
	public void setYarismaUlkesi(String yarismaUlkesi) {
		this.yarismaUlkesi = yarismaUlkesi;
	}

}
